% Include file - SAB spor 1-3 (hver med 4 disponible lyrik linier) samt piano spor 4 -7   

\version "2.18.2"

\language "deutsch"


% Lyrics are assigned to 5 different voices: "M", "S", "A", "T" and "B":
% "verseOneM", "verseTwoM", "verseThreeM", "verseFourM" -> "verseOneS" ... "verseFourB"
% Track names with no transposition are "trackOne", "trackTwo" etc."
% Track names with C to Bb transposition are "trBOne", "trBTwo" etc.
% Track names with C to Eb transposition are "trEsOne", "trEsTwo" etc.
% Track names with C to F transposition are "trFOne", "trFTwo" etc.


% Vocal Modules

vocalDescantPart =
\new Staff \with {
  instrumentName = "Descant" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneS }
\addlyrics {\verseTwoS }
\addlyrics {\verseThreeS }
\addlyrics {\verseFourS }

vocalSoloPart =
\new Staff \with {
  instrumentName = "Solo" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneA }
\addlyrics {\verseTwoA }
\addlyrics {\verseThreeA }
\addlyrics {\verseFourA }

vocalPartSoprano =
\new Staff \with {
  instrumentName = "Soprano" 
  midiInstrument = "choir aahs" }
{ \clef G \trackOne }
\addlyrics {\verseOneS }
\addlyrics {\verseTwoS }
\addlyrics {\verseThreeS }
\addlyrics {\verseFourS }

vocalPartAlto = 
\new Staff \with {
  instrumentName = "Alto" 
  midiInstrument = "choir aahs" }
{ \clef G \trackTwo }
\addlyrics {\verseOneA }
\addlyrics {\verseTwoA }
\addlyrics {\verseThreeA }
\addlyrics {\verseFourA }

vocalPartTenor = 
\new Staff \with {
  instrumentName = "Tenor" 
  midiInstrument = "choir aahs" }
{ \clef "G_8" \trackThree }
\addlyrics {\verseOneT }
\addlyrics {\verseTwoT }
\addlyrics {\verseThreeT }
\addlyrics {\verseFourT }

vocalPartBass = 
\new Staff \with {
  instrumentName = "Bass" 
  midiInstrument = "choir aahs" }
{ \clef F \trackThree }
\addlyrics {\verseOneB }
\addlyrics {\verseTwoB }
\addlyrics {\verseThreeB }
\addlyrics {\verseFourB }

vocalSATBGroup =  \new ChoirStaff << 
  \vocalPartSoprano
  \vocalPartAlto
  \vocalPartTenor
  \vocalPartBass
>>

vocalSABGroup =  \new ChoirStaff << 
  \vocalPartSoprano
  \vocalPartAlto
  \vocalPartBass
>>


% Keyboard Modules

pianoFourVoicesPart =  \new PianoStaff \with {
  instrumentName = "Piano" }
<<
  \new Staff = "up" \with {
    midiInstrument = "acoustic grand" }
  { \clef G << \trackFour \\ \trackFive >>}
  \new Staff = "down" \with {
    midiInstrument = "acoustic grand" }
  { \clef F << \trackSix \\ \trackSeven >> }
>>

%========================================

customScoreOne = {
  <<
    \vocalSABGroup
    \pianoFourVoicesPart
  >>
}

customScoreTwo = {
  <<
  >>
}

